# Uses of Interface
org.eclipse.emf.cdo.view.CDORegistrationHandler

Packages that use CDORegistrationHandler
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDORegistrationHandler in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDORegistrationHandler
Modifier and Type
Method
Description
`CDORegistrationHandler[]`
CDOPushTransaction.`getRegistrationHandlers()`
Deprecated.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDORegistrationHandler
Modifier and Type
Method
Description
`void`
CDOPushTransaction.`addRegistrationHandler(CDORegistrationHandler handler)`
Deprecated.
`void`
CDOPushTransaction.`removeRegistrationHandler(CDORegistrationHandler handler)`
Deprecated.

## Uses of CDORegistrationHandler in org.eclipse.emf.cdo.view

Classes in org.eclipse.emf.cdo.view that implement CDORegistrationHandler
Modifier and Type
Class
Description
`static class`
`CDORegistrationHandler.Default`
A concrete default implementation of `CDORegistrationHandler`.
Methods in org.eclipse.emf.cdo.view that return CDORegistrationHandler
Modifier and Type
Method
Description
`CDORegistrationHandler[]`
CDOView.`getRegistrationHandlers()`
Methods in org.eclipse.emf.cdo.view with parameters of type CDORegistrationHandler
Modifier and Type
Method
Description
`void`
CDOView.`addRegistrationHandler(CDORegistrationHandler handler)`
`void`
CDOView.`removeRegistrationHandler(CDORegistrationHandler handler)`